https://bugs.gentoo.org/892065
https://github.com/NLnetLabs/ldns/commit/5d5c95a947d98dd292ba81e95ca90ba6aeccb1d0

From 5d5c95a947d98dd292ba81e95ca90ba6aeccb1d0 Mon Sep 17 00:00:00 2001
From: Willem Toorop <willem@nlnetlabs.nl>
Date: Mon, 5 Sep 2022 10:01:18 +0200
Subject: [PATCH] Fix building documentation in build directory.

Thanks Michael Tokarev
--- a/Makefile.in
+++ b/Makefile.in
@@ -270,7 +270,7 @@ doxygen:
 	@if test ! -e doc/header.html ; then \
 		$(INSTALL) -c -m 644 $(srcdir)/doc/header.html doc/ ; \
 	fi ;
-	$(doxygen) $(srcdir)/libdns.doxygen
+	$(doxygen) libdns.doxygen
 
 doc: manpages $(doxygen)
 	@$(INSTALL) -d doc
--- a/ldns/net.h.in
+++ b/ldns/net.h.in
@@ -91,13 +91,12 @@ int ldns_tcp_bgsend(ldns_buffer *qbin, const struct sockaddr_storage *to, sockle
 
 /**
  * Sends a buffer to an ip using tcp and return the response as a ldns_pkt
- * \param[in] qbin the ldns_buffer to be send
+ * \param[out] result packet with the answer
  * \param[in] qbin the ldns_buffer to be send
  * \param[in] to the ip addr to send to
  * \param[in] tolen length of the ip addr
  * \param[in] timeout the timeout value for the network
  * \param[out] answersize size of the packet
- * \param[out] result packet with the answer
  * \return status
  */
 ldns_status ldns_tcp_send(uint8_t **result, ldns_buffer *qbin, const struct sockaddr_storage *to, socklen_t tolen, struct timeval timeout, size_t *answersize);
--- a/libdns.doxygen.in
+++ b/libdns.doxygen.in
@@ -51,7 +51,7 @@ PROJECT_BRIEF          =
 # pixels and the maximum width should not exceed 200 pixels. Doxygen will copy
 # the logo to the output directory.
 
-PROJECT_LOGO           = doc/images/LogoInGradientBar2-y100.png
+PROJECT_LOGO           = @srcdir@/doc/images/LogoInGradientBar2-y100.png
 
 # The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) path
 # into which the generated documentation will be written. If a relative path is
@@ -854,12 +854,12 @@ WARN_LOGFILE           =
 # spaces. See also FILE_PATTERNS and EXTENSION_MAPPING
 # Note: If this tag is empty the current directory is searched.
 
-INPUT                  = . \
-                         ldns/ \
-                         doc/ \
-                         examples/ldns-mx.c \
-                         examples/ldns-read-zone.c \
-                         examples/ldns-signzone.c
+INPUT                  = ldns/ \
+                         @srcdir@/doc/ \
+                         @srcdir@/examples/ldns-mx.c \
+                         @srcdir@/examples/ldns-read-zone.c \
+                         @srcdir@/examples/ldns-signzone.c \
+                         @srcdir@
 
 # This tag can be used to specify the character encoding of the source files
 # that doxygen parses. Internally doxygen uses the UTF-8 encoding. Doxygen uses
@@ -936,7 +936,7 @@ EXCLUDE_SYMBOLS        =
 # that contain example code fragments that are included (see the \include
 # command).
 
-EXAMPLE_PATH           = examples
+EXAMPLE_PATH           = @srcdir@/examples
 
 # If the value of the EXAMPLE_PATH tag contains directories, you can use the
 # EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp and
@@ -956,7 +956,7 @@ EXAMPLE_RECURSIVE      = NO
 # that contain images that are to be included in the documentation (see the
 # \image command).
 
-IMAGE_PATH             = doc/images
+IMAGE_PATH             = @srcdir@/doc/images
 
 # The INPUT_FILTER tag can be used to specify a program that doxygen should
 # invoke to filter for each input file. Doxygen will invoke the filter program
@@ -1798,7 +1798,7 @@ COMPACT_LATEX          = NO
 # The default value is: a4.
 # This tag requires that the tag GENERATE_LATEX is set to YES.
 
-PAPER_TYPE             = a4wide
+PAPER_TYPE             = a4
 
 # The EXTRA_PACKAGES tag can be used to specify one or more LaTeX package names
 # that should be included in the LaTeX output. The package can be specified just

